package com.yovinchen.xlcs.payment.service;

import java.util.Map;

/**
 * ClassName: AlipayService
 * Package: com.yovinchen.xlcs.payment.service
 *
 * @author yovinchen
 * @since 2024/2/22 17:04
 */
public interface AlipayService {
    /**
     * 统一收单下单并支付页面接口的调用
     *
     * @param orderNo
     * @return
     */
    Map<String, String> createPay(String orderNo);

    /**
     * 支付成功之后的异步通知
     *
     * @param params
     * @return
     */
    String tradeNotify(Map<String, String> params);
}
